be.fgov.ehealth.dics.protocol.v4

## Class HasVirtualComponentWithType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v4.HasVirtualComponentWithType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T03:16:38+02:00",
                 comments="JAXB RI v2.3.7")
      public class HasVirtualComponentWithType
      extends Object
      implements Serializable

  Java class for HasVirtualComponentWithType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="HasVirtualComponentWithType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice minOccurs="0">
                 <element name="VirtualFormCode" type="{urn:be:fgov:ehealth:dics:protocol:v4}StandardFormCodeCriterionType"/>
                 <element name="VirtualFormName" type="{urn:be:fgov:ehealth:dics:protocol:v4}StandardFormNameCriterionType"/>
               </choice>
               <choice minOccurs="0">
                 <element name="RouteOfAdministrationCode" type="{urn:be:fgov:ehealth:dics:protocol:v4}StandardRouteCodeCriterionType"/>
                 <element name="RouteOfAdministrationName" type="{urn:be:fgov:ehealth:dics:protocol:v4}StandardRouteNameCriterionType"/>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HasVirtualComponentWithType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StandardRouteCodeCriterionType` | `getRouteOfAdministrationCode()` Gets the value of the routeOfAdministrationCode property.
    `StandardRouteNameCriterionType` | `getRouteOfAdministrationName()` Gets the value of the routeOfAdministrationName property.
    `StandardFormCodeCriterionType` | `getVirtualFormCode()` Gets the value of the virtualFormCode property.
    `StandardFormNameCriterionType` | `getVirtualFormName()` Gets the value of the virtualFormName property.
    `void` | `setRouteOfAdministrationCode(StandardRouteCodeCriterionType value)` Sets the value of the routeOfAdministrationCode property.
    `void` | `setRouteOfAdministrationName(StandardRouteNameCriterionType value)` Sets the value of the routeOfAdministrationName property.
    `void` | `setVirtualFormCode(StandardFormCodeCriterionType value)` Sets the value of the virtualFormCode property.
    `void` | `setVirtualFormName(StandardFormNameCriterionType value)` Sets the value of the virtualFormName property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HasVirtualComponentWithType

          public HasVirtualComponentWithType()

  - ### Method Detail

    - #### getVirtualFormName

          public StandardFormNameCriterionType getVirtualFormName()

      Gets the value of the virtualFormName property.
      Returns:
        possible object is `StandardFormNameCriterionType`

    - #### setVirtualFormName

          public void setVirtualFormName(StandardFormNameCriterionType value)

      Sets the value of the virtualFormName property.
      Parameters:
        `value` - allowed object is `StandardFormNameCriterionType`

    - #### getVirtualFormCode

          public StandardFormCodeCriterionType getVirtualFormCode()

      Gets the value of the virtualFormCode property.
      Returns:
        possible object is `StandardFormCodeCriterionType`

    - #### setVirtualFormCode

          public void setVirtualFormCode(StandardFormCodeCriterionType value)

      Sets the value of the virtualFormCode property.
      Parameters:
        `value` - allowed object is `StandardFormCodeCriterionType`

    - #### getRouteOfAdministrationName

          public StandardRouteNameCriterionType getRouteOfAdministrationName()

      Gets the value of the routeOfAdministrationName property.
      Returns:
        possible object is `StandardRouteNameCriterionType`

    - #### setRouteOfAdministrationName

          public void setRouteOfAdministrationName(StandardRouteNameCriterionType value)

      Sets the value of the routeOfAdministrationName property.
      Parameters:
        `value` - allowed object is `StandardRouteNameCriterionType`

    - #### getRouteOfAdministrationCode

          public StandardRouteCodeCriterionType getRouteOfAdministrationCode()

      Gets the value of the routeOfAdministrationCode property.
      Returns:
        possible object is `StandardRouteCodeCriterionType`

    - #### setRouteOfAdministrationCode

          public void setRouteOfAdministrationCode(StandardRouteCodeCriterionType value)

      Sets the value of the routeOfAdministrationCode property.
      Parameters:
        `value` - allowed object is `StandardRouteCodeCriterionType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.